Perform the Accept or Decline action for a single Tender Group

post

/custom-actions/acceptDeclineTenderGroup/tenders/{tender_group gid}

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request parameters for the accept or decline Tender Group action.
Show Source
Nested Schema : pks
Type: array
Pass the tender group ID(s) pks to perform accept/decline tender for one or more records when the tender group ID is not passed in the URL.
Show Source
Nested Schema : refnums
Type: object
Reference Number Qualifier and Value to be added when accepting single shipment group tender.
Show Source
Nested Schema : remarks
Type: object
Remarks to be added when accepting single shipment group tender.
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Success! A successful POST method returns a 200 status code.
Body ()
Root Schema : acceptDeclineTenderGroupResponse
Type: object
Response after accept or decline the tender group.
Show Source
Nested Schema : items
Type: array
Accepte or Decline response for tender.
Show Source
Nested Schema : acceptDeclineTenderGroupResultItem
Type: object
Show Source
Nested Schema : endTime
End Time
Match All
End Time
Show Source
Nested Schema : shipmentGids
Type: array
The shipments present on the shipment group
Show Source
Nested Schema : startTime
Start Time
Match All
Start Time
Show Source
Nested Schema : totalCost
Total Cost of the shipment group
Match All
Total Cost of the shipment group
Show Source
Nested Schema : dateTimeType
Type: object
Show Source
Nested Schema : currencyType
Type: object
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : errorResponse
Type: object
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : errorResponse
Type: object
Show Source
Back to Top